List game items for an account offer
curl --request GET \
--url https://api.gameboost.com/v2/account-offers/{account}/game-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/account-offers/{account}/game-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/account-offers/{account}/game-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-offers/{account}/game-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-offers/{account}/game-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gameboost.com/v2/account-offers/{account}/game-items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-offers/{account}/game-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"champions": [
{
"id": 1,
"name": "Aatrox",
"slug": "lol-aatrox",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/15.15.1/img/champion/Aatrox.png"
}
],
"skins": [
{
"id": 182,
"name": "Academy Ahri",
"slug": "lol-academy-ahri",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/img/champion/loading/Ahri_6.jpg"
}
]
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Account Offers
List game items for an account offer
Retrieve all game items (champions, skins, etc.) associated with this account offer grouped by collection type.
GET
/
v2
/
account-offers
/
{account}
/
game-items
List game items for an account offer
curl --request GET \
--url https://api.gameboost.com/v2/account-offers/{account}/game-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/account-offers/{account}/game-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/account-offers/{account}/game-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-offers/{account}/game-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-offers/{account}/game-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gameboost.com/v2/account-offers/{account}/game-items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-offers/{account}/game-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"champions": [
{
"id": 1,
"name": "Aatrox",
"slug": "lol-aatrox",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/15.15.1/img/champion/Aatrox.png"
}
],
"skins": [
{
"id": 182,
"name": "Academy Ahri",
"slug": "lol-academy-ahri",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/img/champion/loading/Ahri_6.jpg"
}
]
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Authorizations
Path Parameters
Was this page helpful?